@echo off

echo WARNING. For this auto installer to work you need to have installed Python 3.10.11, Git, FFmpeg, CUDA and C++ tools 
echo This tutorial shows all step by step : https://youtu.be/-NjNy7afOQ0

py --version >nul 2>&1
if "%ERRORLEVEL%" == "0" (
    echo Python launcher is available. Generating Python 3.10 VENV
    py -3.10 -m venv venv
) else (
    echo Python launcher is not available, generating VENV with default Python. Make sure that it is 3.10
    python -m venv venv
)

call .\venv\Scripts\activate.bat

pip install -r requirements.txt

REM Show completion message
echo BiRefNet installed check out all messages and save them before close to verify any errors or not later

REM Pause to keep the command prompt open
pause